1. Domains
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Domains

Get Single Available Domain

POST
/domains/available-single
Retrieves comprehensive information about a specific domain, including pricing for registration and renewal. This endpoint also allows you to specify the registration duration to calculate costs accordingly.

Request Body#

ParameterTypeRequiredDescription
domainNamestringYesThe fully qualified domain name including the TLD (e.g., example.com, mysite.org).
yearsnumberYesThe number of years for domain registration or renewal. Typically for 1 year

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Body Params application/json

Example
{
    "domainName":"example.com",
    "years":1
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://customers.coldmailreseller.com/api/v1/integration/domains/available-single' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domainName":"example.com",
    "years":1
}'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "Domain availability status",
    "data": {
        "domainName": "globalbrewingcompany.com",
        "status": "AVAILABLE",
        "domainPrice": "42.47",
        "renewPrice": "44.28"
    }
}
🟠422 Unprocessable Entity
Modified at 2026-02-20 19:32:00
Previous
Suggest Available Domains
Next
Check If Google Workspace Exists
Built with